Subject: Re: [Asrg] MXs Used As Authentication - Why RMX?

From: Brad Knowles <[email-masked]>
Date: Mon, 25 Aug 2003 21:43:56 +0200

At 12:21 PM -0400 2003/08/25, Alan DeKok wrote:

>    This was discussed earlier on the list.  "outgoing" MX records mean
>  that some current network behaviours may change.  Mailing lists may
>  still exist, but their implementations may change.

	I'm sorry.  I just don't see where this is feasible.

>                                                      Other than
>  deployment, I don't see this as much of a problem.

	"Other than that, Mrs. Lincoln, what did you think of the play?"

>    How does the recipient of that email establish a consent framework
>  for communication with you?  How does he separate your traffic from
>  the "forged spam" traffic?

	This is a good question.  This is something that would have to be 
resolved by the people who are proponents of this solution.

>>  	I don't see this sort of solution being feasible.  The legitimate
>>  third-party relay problem is a tough one to solve.
>
>    How does the recipient distinguish "legitimate" third-party relays
>  from "illegitimate" ones?

	See above.  I don't have any answers.  I can say that I think 
this will be one of the more difficult problems that will have to be 
resolved, in order for this kind of proposal to succeed.

>    I'm not opposed to legitimate third-party relaying.  But it's my
>  perogative as a recipient to discard any email I choose.

	Sure.  You can throw away your e-mail any way you want.

	However, before you can expect that a significant number of 
people will adopt this kind of system (thus allowing you to use it to 
filter your mail), the problem of legitimate third-party relay will 
have to be solved.  People will not want to use any system that has 
such a serious problem with collateral damage.

>                                                            Unverifiable
>  third-party relaying is a large part of my spam, and costs me time and
>  money.

	Then you should set up filters now that require that the envelope 
sender address matches the domain portion of the reverse DNS for the 
sending MTA.  Start throwing away as much e-mail as you possibly can, 
as soon as you possibly can.

	Meanwhile, the rest of us will continue to work to try to find a 
system that would be feasible to recommend to the rest of the people 
in the world.

-- 
Brad Knowles, <[email-masked]>

"They that can give up essential liberty to obtain a little temporary
safety deserve neither liberty nor safety."
     -Benjamin Franklin, Historical Review of Pennsylvania.

GCS/IT d+(-) s:+(++)>: a C++(+++)$ UMBSHI++++$ P+>++ L+ !E-(---) W+++(--) N+
!w--- O- M++ V PS++(+++) PE- Y+(++) PGP>+++ t+(+++) 5++(+++) X++(+++) R+(+++)
tv+(+++) b+(++++) DI+(++++) D+(++) G+(++++) e++>++++ h--- r---(+++)* z(+++)

_______________________________________________
Asrg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/asrg

---

From: Yakov Shafranovich <[email-masked]>
Date: Wed, 27 Aug 2003 18:07:29 -0400

Just a quick reminder for everyone:

Please follow the posting guidelines posted at 
(http://www.irtf.org/asrg/asrg_mailing_list_information.htm) by prefixing 
the relevant area # and name in the subject.

At 08:18 PM 8/26/2003, Brad Knowles wrote:
>At 9:13 AM +0200 2003/08/26, Peter J. Holzer wrote:
>
>>  Sounds like a stupid policy to me.
>
>         Yeah, well.  No one ever accused AOL management of being intelligent.
>
>         I know the people who are responsible for administering the 
> Internet mail gateways, and their hands are tied.
>
>>  I see no reason why anybody outside of our firewall should be able to
>>  connect to our outgoing server (except via an encrypted, authenticated
>>  connection).
>
>         I agree.  I guess that's one reason why I'm no longer working there.
>
>--